substitutions:
  name: raspiaudio-muse-proto-ec0a28
  friendly_name: furby-box
packages:
  raspiaudio.muse-proto: github://esphome/firmware/media-player/raspiaudio-muse-proto.yaml@main
esphome:
  name: ${name}
  name_add_mac_suffix: false
  friendly_name: ${friendly_name}
api:
  encryption:
    key: (your_key)


wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password


light:
  - platform: status_led
    id: led2
    name: "Switch state"
    pin: GPIO32

binary_sensor:
  - platform: gpio
    pin:
      number: GPIO13
      inverted: true
    name: ExtButton
    id: ext_button
    on_multi_click:
      - timing:
          - ON FOR AT LEAST 350ms
        then:
          - voice_assistant.start:
      - timing:
          - ON FOR AT LEAST 350ms
          - OFF FOR AT LEAST 10ms
        then:
          - voice_assistant.stop:
